# OpenML dataset: Kaggle-Survey-2017-2020-Merged-Data

https://www.openml.org/d/43492

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

Context
Every year Kaggle conducts an industry-wide survey that presents a truly comprehensive view of the state of data science and machine learning. This dataset combines the data from the past 4 years (2017-2020).
Content
Data was acquired and cleaned by Kaggle Team. I merged the dataset over the years using the notebook. https://www.kaggle.com/harveenchadha/merging-all-historical-survey-data-2017-2020

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/43492) of an [OpenML dataset](https://www.openml.org/d/43492). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/43492/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/43492/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/43492/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

